package com.fdkankan.ucenter.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fdkankan.ucenter.common.PageInfo;
import com.fdkankan.ucenter.entity.Scene;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.vo.ResponseScene;
import com.fdkankan.ucenter.vo.request.RequestScene;
import com.fdkankan.ucenter.vo.request.SceneParam;
import com.fdkankan.ucenter.vo.response.SceneVo;

import java.util.List;

/**
 * <p>
 * 场景表 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-04
 */
public interface ISceneService extends IService<Scene> {

    Integer getCountByUserId(Long userId);


    void bindOrUnCamera(List<Long> cameraIds, Long id);

    List<Scene> getListByNums(List<String> numList);

    JSONObject pageList(SceneParam param);

    Scene getByNum(String sceneNum);

    Page<SceneVo> getSceneList(RequestScene param);

    PageInfo getDecorateScenes(RequestScene param);
}
